=== debian/changelog ===
netconsd (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Remove upstreamed patch
  * Update copyright
  * Fix package name in debian/watch

 -- Michel Lind <michel@michel-slm.name>  Wed, 24 Apr 2024 14:10:44 -0500

netconsd (0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1065462)

 -- Michel Lind <michel@michel-slm.name>  Tue, 05 Mar 2024 11:37:50 -0600
