=== debian/control ===
Source: netconsd
Section: admin
Priority: optional
Maintainer: Michel Lind <michel@michel-slm.name>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://facebookmicrosites.github.io/netconsd
Vcs-Browser: https://salsa.debian.org/michel/netconsd
Vcs-Git: https://salsa.debian.org/michel/netconsd.git

Package: netconsd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Netconsole Daemon
 This is a daemon for receiving and processing logs from the Linux Kernel, as
 emitted over a network by the kernel's netconsole module. It supports both the
 old "legacy" text-only format, and the new extended format added in v4.4.	
 .
 The core of the daemon does nothing but process messages and drop them: in
 order to make the daemon useful, the user must supply one or more "output
 modules". These modules are shared object files which expose a small ABI that
 is called by netconsd with the content and metadata for netconsole messages it
 receives.
