=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	# do binary only from the main Makefile
	# if it builds util and modules it seems that
	# environment variables are not respected
	# dh_auto_build -- all utils
	dh_auto_build -- netconsd
	dh_auto_build -- -C modules
	dh_auto_build -- -C util
